/** @format */

import { defineStore } from 'pinia'
import { useUserStore } from './user'

export const useCommonStore = defineStore(
  'commonStore',
  () => {
    const navigateTextColor = ref('text-#fff')
    const navigateBgColor = ref('bg-#0F0820')
    // const userStore = useUserStore()

    const setNavigateBgColor = (color: string) => {
      if (!color)
        return
      color = color.toUpperCase()
      console.log('newColor-----color', color)
      if (color === '#0F0820') {
        navigateTextColor.value = 'text-#fff'
        navigateBgColor.value = `bg-${color}`
      }
      else if (color === '#F3F4FB') {
        navigateTextColor.value = 'text-#0F0820'
        navigateBgColor.value = `bg-${color}`
      }
      else if (color === '#FFFFFF') {
        console.log('newColor-----color---2', color)
        navigateTextColor.value = 'text-#0F0820'
        navigateBgColor.value = `bg-${color}`
      }
    }

    return {
      navigateTextColor,
      navigateBgColor,
      setNavigateBgColor,
    }
  },
  {
    persist: true,
  },
)
